Summary:	Utility for viewing/manipulating the MAC address of network interfaces
Summary(pl.UTF-8):	Narzędzie do oglądania/modyfikowania adresów MAC interfejsów sieciowych
Name:		macchanger
Version:	1.7.0
Release:	1
License:	GPL v2+
Group:		Applications/Networking
#Source0Download: https://github.com/alobbs/macchanger/releases
Source0:	https://github.com/alobbs/macchanger/releases/download/%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	ca56f16142914337391dac91603eb332
Patch0:		%{name}-info.patch
URL:		http://www.gnu.org/software/macchanger
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
BuildRequires:	texinfo
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
- Set specific MAC address of a network interface
- Set the MAC randomly
- Set a MAC of another vendor
- Set another MAC of the same vendor
- Set a MAC of the same kind (eg: wireless card)
- Display a vendor MAC list (today, 900 items) to choose from

%description -l pl.UTF-8
Możliwości programu:
- ustawianie adresu MAC interfejsu sieciowego,
- ustawianie adresu MAC losowo,
- ustawianie adresu MAC innego producenta,
- ustawianie innego adresu MAC tego samego producenta,
- ustawianie MAC-a tego samego typu (np. karta bezprzewodowa),
- wyświetlanie listy MAC-ów danego producenta, do wyboru.

%prep
%setup -q
%patch -P0 -p1

%build
%{__aclocal}
%{__autoheader}
%{__autoconf}
%{__automake}
%configure \
	--disable-silent-rules
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%postun	-p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README
%attr(755,root,root) %{_bindir}/macchanger
%{_datadir}/%{name}
%{_mandir}/man1/macchanger.1*
%{_infodir}/macchanger.info*
%changelog
* Thu May 15 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/macchanger.git;a=log;h=master

* Thu May 15 2025 Jakub Bogusz <qboosh@pld-linux.org> 2701585
- updated to 1.7.0; unify info direntry

* Tue Apr 08 2008 Elan Ruusamäe <glen@pld-linux.org> f6aa285
- unify ftp.gnu.org urls

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 71eb7d9
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> c824323
- converted to UTF-8

* Thu Nov 04 2004 Jakub Bogusz <qboosh@pld-linux.org> 35f381c
- cleanups

* Thu Nov 04 2004 Jan Wideł <jasw@pld-linux.org> feea616
- up to 1.5.0 version

* Mon Jun 16 2003 Paweł Gołaszewski <blues@pld-linux.org> 29791c8
- massive: cleanup in setup parameters (based on kloczek changes), small
  cosmetic fixes

* Wed May 28 2003 Michal Moskal <michal@moskal.me> 395984d
- massive attack: source-md5

* Sun May 25 2003 misi3k <misi3k@pld-linux.org> 9d58e34
- massive attack s/pld.org.pl/pld-linux.org/

* Fri Feb 21 2003 Jakub Bogusz <qboosh@pld-linux.org> ecb1866
- removed INSTALL from doc (generic)

* Thu Jan 02 2003 areq <areq@pld-linux.org> 670cf59
- 1.3.0

* Fri Dec 06 2002 Jakub Bogusz <qboosh@pld-linux.org> 77906bb
- pl cosmetics, added missing dir and BRs

* Fri Dec 06 2002 Paweł Gołaszewski <blues@pld-linux.org> 3f9d206
- pl translation (please, check me)

* Fri Dec 06 2002 areq <areq@pld-linux.org> 3d76bdd
- init PLD spec

